Jump to content
openSUSE Leap 15.2

リリースノート

openSUSE Leap はお使いの PC やラップトップ、サーバなどで動作する、 Linux ベースの自由なオペレーティングシステムです。 Web の閲覧や電子メール/写真の管理、オフィス作業やビデオ/音楽の再生などを行なうことができます。お楽しみください!

発行日: 2021-01-04, : 15.2.20210104.577ca863

リリースノートは現在作成中の段階にあります。最新の情報を知るには、 https://ja.opensuse.org/openSUSE:%E3%83%AA%E3%83%AA%E3%83%BC%E3%82%B9%E3%83%8E%E3%83%BC%E3%83%88 にあるオンライン版のリリースノートをお読みください。英語版のリリースノートは必要に応じて更新されますが、翻訳版のリリースノートは翻訳が追いつかず、一時的に不完全なものになる場合があります。

openSUSE Leap の旧バージョンからアップグレードした場合は、下記に示す旧バージョンのリリースノートもお読みください: https://ja.opensuse.org/openSUSE:Release_Notes

プロジェクトに関する情報は、 https://www.opensuse.org をご覧ください。

本リリースに対してバグを報告する際は、 openSUSE の提供する Bugzilla をお使いください。詳しくは https://ja.opensuse.org/%E3%83%90%E3%82%B0%E3%83%AC%E3%83%9D%E3%83%BC%E3%83%88 をお読みください。

また、 openSUSE 15.2 における主な新機能については、 https://ja.opensuse.org/Features_15.2. をご覧ください。

1 インストール

本章には、インストールに関連する説明が書かれています。アップグレードに関する詳しい手順については、下記で公開されている文書をお読みください: https://doc.opensuse.org/documentation/leap/startup/html/book.opensuse.startup/part-basics.html

1.1 システムの役割 トランザクション型サーバ を利用した一括更新について

新しいインストーラでは トランザクション型サーバ と呼ばれる役割が追加されています。このシステムの役割は、更新を一括 (単一の操作) で適用し、必要であれば後から以前の状態に戻すことができるようにする仕組みです。この機能は、 SUSE や openSUSE ディストリビューションの依存するパッケージ管理システムをベースにして動作しているものですので、 openSUSE Leap 15.2 に対応する大多数のパッケージが、 トランザクション型サーバ でも利用できることになります。

注記
注記: 非互換のパッケージについて

RPM パッケージ内の %post スクリプト内で、 /var/srv の内容を書き換えるパッケージがそれに該当します。これらのパッケージは互換性のないパッケージですので、そのようなパッケージを見つけた場合には、バグ報告をお願いいたします。

これらの機能を提供するため、この更新システムは下記の仕組みを利用しています:

  • btrfs スナップショット:  システムの更新を開始する前に、ルートファイルシステムに対して新しい btrfs スナップショットを作成します。その後、必要な全ての更新内容をそのスナップショット内に保存します。更新を完了するには、システムを再起動して新しいスナップショットを利用するようにします。

    更新を元に戻すには、以前に採取したスナップショットから起動するだけです。

  • 読み込み専用のルートファイルシステム:  更新による問題やデータ損失を防ぐため、ルートファイルシステムには不用意な書き込みを発生させてはなりません。そのため、通常動作時には、ルートファイルシステムを読み込み専用にしてマウントします。

    このような仕組みを動作させるため、ファイルシステムに対して追加で 2 種類の変更が行なわれます: 利用者側での /etc への設定書き込みを許可するため、このディレクトリは OverlayFS を使用するように自動設定されます。また、 /var はプロセス側で書き込みができるよう、個別のサブボリュームが設定されます。

重要
重要: トランザクション型サーバ に対するディスク領域の要件について (最低 12 GB)

システムの役割である トランザクション型サーバ では、 btrfs のスナップショットを保存する必要があることから、最小でも 12 GB のディスクサイズが必要となります。

トランザクション型更新を行なう場合、ソフトウエア管理にあたっては YaST や Zypper ではなく、必ず transactional-update コマンドをお使いください:

  • システムの更新: transactional-update up

  • パッケージのインストール: transactional-update pkg in パッケージ名

  • パッケージの削除: transactional-update pkg rm パッケージ名

  • 直近に採取したスナップショット (ルートファイルシステムに対して、更新を適用する前の状態) に戻すには、次回の再起動でそのスナップショットを利用するよう、下記のコマンドを実行します: transactional-update rollback

    必要であれば、コマンドの末尾にスナップショット ID を追加して、特定の時点の状態に戻すこともできます。

このシステムの役割を利用している場合、既定では午前 03:30 から午前 05:00 までの間に、システムは自動で更新を実施して再起動します。これらの動作は systemd を利用して実現しているものであり、不要であればsystemctl を利用して無効化することができます:

systemctl disable --now transactional-update.timer rebootmgr.service

トランザクション型更新について、詳しくは openSUSE Kubic プロジェクトのブログ投稿 https://kubic.opensuse.org/blog/2018-04-04-transactionalupdates/ および https://kubic.opensuse.org/blog/2018-04-20-transactionalupdates2/ (いずれも英語) をお読みください。

1.2 12 GB 未満のハードディスクにインストールする際の問題について

インストーラ側では、ハードディスクのサイズが 12 GB よりも大きい場合にのみパーティション方法を提案します。たとえば小さな仮想マシンイメージなどを作成する目的で、 12 GB 未満のディスクをお使いの場合は、ガイド付き設定をお使いのうえ、パーティション設定を行なってください。

1.3 UEFI—Unified Extensible Firmware Interface

UEFI (Unified Extensible Firmware Interface) を利用して起動するシステムに openSUSE をインストールする場合、事前に製造元が推奨するファームウエア更新を必ずチェックし、可能であればインストールしておくことを強くお勧めします。 Windows 8 もしくはそれ以降のバージョンがプレインストールされているマシンの場合、お使いのシステムが UEFI である可能性が高いものと思われます。

背景 UEFI のファームウエアによっては、 UEFI のストレージ領域に多くのデータが書き込まれることで、起動に失敗してしまうバグを抱えています。もちろんこれはバグであるため、どれだけ 多くの データを書き込むことで問題を発生させるのかは、誰にもわかりません。

openSUSE では、 OS を起動するのに最低限必要となるデータ (UEFI に対して、 openSUSE のブートローダの場所を示すための情報) しか書き込まないようにすることで、このバグの発生を最小化しています。 Linux カーネルのオリジナル版では、 UEFI のストレージ領域に起動やクラッシュに関する情報を書き込む機能 (pstore) がありますが、既定では無効化しています。ただし、バグである都合上、ハードウエアの製造元が推奨するファームウエア更新については、必ずインストールしておくことをお勧めします。

1.4 UEFI, GPT, MS-DOS の各パーティションについて

EFI/UEFI の仕様には、新しい形式のパーティションテーブル GPT (GUID パーティションテーブル) が定義されています。この新しい方式では、ユニークな GUID (識別子; 32 桁の 16 進数で表わされる 128 ビットの値) を利用してデバイスとパーティション種別を識別します。

これに加えて、 UEFI の仕様では古い MBR (MS-DOS) 形式のパーティションテーブルにも対応しています。 Linux のブートローダ (ELILO, GRUB 2) では、これらの古い形式のパーティションに対して、自動的に GUID を割り当ててファームウエア内に書き込もうとします。この場合、 GUID は頻繁に変更されてしまうため、ファームウエアへの再書き込みも頻繁に発生することになります。この再書き込みには 2 つの操作、具体的には古い項目の削除と、それを置き換えるための新しい項目の作成が含まれます。

また、新しいファームウエアには、削除された項目を収集して古い項目用に確保したメモリを解放する、ガーベージコレクタ機能が用意されています。ファームウエアに不具合があると、これらの古い項目を収集できなかったり、メモリを解放しなかったりする場合があり、これにより起動が不可能になる場合があります。

このような問題が発生した場合は、古い MBR 形式のパーティションを GPT 形式のパーティションに更新して、問題を回避してください。

2 システムアップグレード

本章には、アップグレードに関する説明が書かれています。サポートされるシナリオと詳しいアップグレード手順については、下記で公開されている文書をお読みください:

このほか、 3項 「パッケージの変更について」 についてもご覧ください。

3 パッケージの変更について

3.1 廃止予定のパッケージについて

廃止予定のパッケージは、ディストリビューションの一部として現在も配布されているものの、次期バージョンの openSUSE Leap で削除される予定になっているものを示しています。これらのパッケージは移行を目的として残されていますが、使用は推奨されず、更新を受け取れない可能性があります。

  • libqt4: 更新もセキュリティ修正も受け取ることができなくなっています。このパッケージは、次期バージョンの openSUSE Leap で削除される予定です。

  • kdelibs4: 更新もセキュリティ修正も受け取ることができなくなっています。このパッケージは、次期バージョンの openSUSE Leap で削除される予定です。

インストール済みのパッケージがメンテナンスされているかどうかを確認するには、 lifecycle-data-openSUSE パッケージをインストールした後、下記のコマンドを実行してください:

zypper lifecycle

3.2 削除されたパッケージ

削除されたパッケージとは、ディストリビューションの一部として配布されなくなっているものを表わしています。

  • artha: メンテナンスが行なわれておらず、セキュリティ問題への対応も行なわれていないため、削除されました。 https://bugzilla.opensuse.org/show_bug.cgi?id=1143860 もご覧ください。

  • fate: メンテナンスの終了した KDE4 と Qt4 ライブラリを使用しているほか、機能リクエストの際にも features.opensuse.org を使用しなくなっていることから、削除されました。

  • gcompris (古い GTK 版): メンテナンスされておらず、現在は gcompris-qt で置き換えられているため、削除されました。詳しくは https://www.gcompris.net をご覧ください。

  • gstreamer-plugins-qt, gstreamer-plugins-qt5, ktp-call-ui: メンテナンスが行なわれておらず、構築もできなくなっていることから削除されました。このほか、 ktp-call-uigstreamer-plugins-qt に依存しているため、同時に削除されました。

  • H2rename: パッケージのメンテナンスが行なわれていないため、削除されました。

  • ixpdimm_sw, invm-cim, invm-cli, invm-i18n: いずれも ipmctl に置き換えられています。

  • jag-level-editor: jag-editor に置き換えられています。

  • jovie: 提供元でのメンテナンスが行なわれていないため、削除されました。 https://kde.org/applications/unmaintained/org.kde.jovie もご覧ください。

  • kaccessible, kepas, konsole4, klinkstatus, kppp, kremotecontrol, kvpnc, kvkbd: 提供元でのメンテナンスが行なわれていないため、削除されました。

  • kdesdk4-scripts: kdesdk-scripts に置き換えられています。

  • kdeuser: kde-user-manager に置き換えられています。

  • keepassx, kpassgen: keepassxc に置き換えられています。

  • kile5: kile に置き換えられています。

  • libkdegames4: libkdegames5 に置き換えられています。

  • libkquoath, libjreen, libqross: 提供元でのメンテナンスが行なわれていないほか、メンテナンスの終了した libqt4 を使用していることから、削除されました。

  • lilo: 10 年以上にわたって廃止予定とされてきたもので、現在は grub2 に置き換えられています。

  • lua51-luajit: moonjit に置き換えられています。

  • mp3gain, wxmp3gain: mp3gain はセキュリティ面での問題が存在することから、削除されました。同時に mp3gain に依存する wxmp3gain も削除されました。

  • nodejs8: nodejs10nodejs12 に置き換えられています。

  • python-django_compressor: python-django-compressor に置き換えられています。

  • python-pep8: python-pycodestyle に置き換えられています。

  • python-pyside および python-pyside-tools: メンテナンスの終了した libqt4 に依存しているため、削除されました。

  • qgo: q5go に置き換えられています。

  • slapi-nis: このモジュールは FreeIPA 環境の外部ではメンテナンスされておらず、 FreeIPA そのものも同梱対象となっていないため、削除されました。

  • tomahawk: 提供元でのメンテナンスが行なわれなくなっているため、削除されました。

  • vokoscreen: vokoscreenNG に置き換えられています。

  • bareftp, docky, fsharp, gnome-desktop-sharp2, gnome-sharp2, mono-debugger, mono-upnp, pdfmod, taglib-sharp: Mono 6.x では動作しなくなっているため、削除されました。

4 ドライバとハードウエア

4.1 Secure Boot: サードパーティ製のドライバに対する署名要求について

openSUSE Leap 15.2 ではサードパーティ製のドライバに対するカーネルモジュールの署名チェックを行なうようになっています (CONFIG_MODULE_SIG=y) 。これはカーネル内で不正なコードを実行しないようにするための重要なセキュリティ設定です。

UEFI Secure Boot が有効化されている場合、これによってサードパーティ製のカーネルモジュールを読み込めなくなってしまうことがあります。公式の openSUSE リポジトリ内にあるカーネルモジュールパッケージ (KMP) については、 openSUSE の鍵による署名が付与されていることから、問題なく動作します。なお、署名チェックは下記のように動作します:

  • カーネルモジュールが未署名の場合や未知の鍵で署名されている場合、もしくはシステム側で信頼する鍵以外で署名されている場合は、読み込みが失敗します。

独自の証明書を作成してシステムの所有者鍵 (Machine Owner Key (MOK)) データベースにそれを取り込み、かつその証明書を利用してカーネルモジュールに署名を行なうことで回避することも可能です。この方法で署名されたカーネルモジュールは問題なく読み込むことができるほか、警告を表示するようなこともありません。詳しくは https://ja.opensuse.org/openSUSE:UEFI をお読みください。

この問題は NVIDIA 社のグラフィックカード向けドライバでも発生するため、 openSUSE では公式のパッケージとして提供することで解決しています。ただし、新しいパッケージを動作させるには、新しい MOK 鍵を登録する必要があることに注意してください。ドライバのインストール方法と MOK 鍵の登録方法について、詳しくは https://ja.opensuse.org/SDB:NVIDIA_drivers#Secureboot をお読みください。

5 デスクトップについて

本章では、 openSUSE Leap 15.2 のデスクトップ関連の問題や変更点を説明しています。

5.1 KDE 4 および Qt 4 のメンテナンス終了について

KDE 4 および Qt 4 はメンテナンスが終了しているため、 Plasma 5 および Qt 5 への移行が推奨されています。 openSUSE Leap 15.2 では互換性を維持する目的で、 KDE 4 および Qt 4 のパッケージが含まれていますが、これらのパッケージに対しては更新やセキュリティ修正を受け取ることができなくなります。このことから、 KDE 4 や Qt 4 をインストールしてお使いの場合は、 Plasma 5 および Qt 5 での同パッケージや、類似の機能を持つパッケージへの移行を強くお勧めします。

6 さらに詳しい情報とフィードバック

  • まずはメディア内の README 文書をお読みください。

  • また、特定のパッケージに対する詳細な変更点を RPM パッケージから表示するには、下記のコマンドを実行します:

    rpm --changelog -qp FILENAME.rpm

    ファイル名 の箇所を RPM の名前に置き換えてお使いください。

  • また、メディアのルートディレクトリには ChangeLog ファイルがあります。ここには、更新されたパッケージに対する全ての変更点が時系列順に並んでいます。

  • そのほか、 メディアの docu ディレクトリには、さらに詳しい情報があります。

  • 追加のドキュメンテーションや更新されたドキュメンテーションをお読みになりたい場合は、 https://doc.opensuse.org/ をご覧ください。

  • また、 openSUSE からの最新の製品ニュースについては、 https://www.opensuse.org をご覧ください。

Copyright © SUSE LLC

このページを印刷